### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
VarianceSwap::arguments Class Reference

Arguments for forward fair-variance calculation More...

`#include <ql/instruments/varianceswap.hpp>`

Inherits PricingEngine::arguments.

List of all members.

## Public Member Functions

void | validate () const

## Public Attributes

Position::Type | position
Real | strike
Real | notional
Date | startDate
Date | maturityDate

## Detailed Description

Arguments for forward fair-variance calculation